#pragma once
#include <cstdio>
#include <iostream>
#include "Sdu.h"

class Xgem
{
public:
	Xgem() {};
	Xgem(uint16_t _idn, uint16_t _xgemPortId, int16_t _pf, Sdu _xgemNaklad);
	~Xgem();

	uint16_t getPli() {return idn;}
	uint16_t getXgemPortId() { return xgemPortId; }
	int16_t getLf() { return pf; }
	Sdu getXgemNaklad() { return xgemNaklad; }

private:
	//hlavicka
	uint16_t idn;
	//int16_t indexKlice;
	uint16_t xgemPortId;		
	//int16_t moznosti;
	int16_t pf;
	//int16_t hec;

	//XGEM naklad
	Sdu xgemNaklad;
};

